from pattern import NodeList

ALPHABET = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z']
PUNCTUATION = [',', '.', '?', '!', ':']
WORD_SEPARATIONS = [' ', '\n']

LETTERS_SEQ1_FREQ = NodeList.from_tuple_list([('a', 8.2), ('b', 1.5), ('c', 2.8), ('d', 4.3), ('e', 12.7), ('f', 2.2), ('g', 2.0), ('h', 6.1), ('i', 7.0), ('j', 0.2), ('k', 0.8), ('l', 4.0), ('m', 2.4), ('n', 6.7), ('o', 7.5), ('p', 1.9), ('q', 0.1), ('r', 6.0), ('s', 6.3), ('t', 9.1), ('u', 2.8), ('v', 1.0), ('w', 2.4), ('x', 0.2), ('y', 2.0), ('z', 0.1)])
LETTERS_SEQ2_FREQ = NodeList.from_tuple_list([('aa', 0.01), ('ab', 0.2), ('ac', 0.33), ('ad', 0.52), ('ae', 0.0), ('af', 0.12), ('ag', 0.18), ('ah', 0.05), ('ai', 0.39), ('aj', 0.01), ('ak', 0.12), ('al', 0.57), ('am', 0.26), ('an', 1.81), ('ao', 0.01), ('ap', 0.2), ('aq', 0.01), ('ar', 0.75), ('as', 0.95), ('at', 1.04), ('au', 0.09), ('av', 0.2), ('aw', 0.13), ('ax', 0.01), ('ay', 0.26), ('az', 0.01),
('ba', 0.11), ('bb', 0.01), ('bc', 0.0), ('bd', 0.0), ('be', 0.47), ('bf', 0.0), ('bg', 0.0), ('bh', 0.0), ('bi', 0.06), ('bj', 0.01), ('bk', 0.0), ('bl', 0.17), ('bm', 0.0), ('bn', 0.0), ('bo', 0.19), ('bp', 0.0), ('bq', 0.0), ('br', 0.11), ('bs', 0.02), ('bt', 0.01), ('bu', 0.21), ('bv', 0.0), ('bw', 0.0), ('bx', 0.0), ('by', 0.11), ('bz', 0.0),
('ca', 0.31), ('cb', 0.0), ('cc', 0.04), ('cd', 0.0), ('ce', 0.38), ('cf', 0.0), ('cg', 0.0), ('ch', 0.38), ('ci', 0.1), ('cj', 0.0), ('ck', 0.18), ('cl', 0.09), ('cm', 0.0), ('cn', 0.0), ('co', 0.45), ('cp', 0.0), ('cq', 0.01), ('cr', 0.11), ('cs', 0.01), ('ct', 0.15), ('cu', 0.07), ('cv', 0.0), ('cw', 0.0), ('cx', 0.0), ('cy', 0.01), ('cz', 0.0),
('da', 0.48), ('db', 0.2), ('dc', 0.09), ('dd', 0.13), ('de', 0.57), ('df', 0.11), ('dg', 0.07), ('dh', 0.25), ('di', 0.5), ('dj', 0.03), ('dk', 0.01), ('dl', 0.11), ('dm', 0.14), ('dn', 0.16), ('do', 0.41), ('dp', 0.06), ('dq', 0.0), ('dr', 0.14), ('ds', 0.35), ('dt', 0.56), ('du', 0.1), ('dv', 0.02), ('dw', 0.19), ('dx', 0.0), ('dy', 0.1), ('dz', 0.0),
('ea', 1.1), ('eb', 0.23), ('ec', 0.45), ('ed', 1.26), ('ee', 0.48), ('ef', 0.3), ('eg', 0.15), ('eh', 0.33), ('ei', 0.41), ('ej', 0.03), ('ek', 0.05), ('el', 0.55), ('em', 0.47), ('en', 1.11), ('eo', 0.33), ('ep', 0.28), ('eq', 0.02), ('er', 1.69), ('es', 1.15), ('et', 0.83), ('eu', 0.06), ('ev', 0.24), ('ew', 0.5), ('ex', 0.09), ('ey', 0.26), ('ez', 0.0),
('fa', 0.25), ('fb', 0.02), ('fc', 0.03), ('fd', 0.02), ('fe', 0.2), ('ff', 0.11), ('fg', 0.01), ('fh', 0.08), ('fi', 0.23), ('fj', 0.01), ('fk', 0.0), ('fl', 0.08), ('fm', 0.05), ('fn', 0.01), ('fo', 0.4), ('fp', 0.02), ('fq', 0.0), ('fr', 0.16), ('fs', 0.05), ('ft', 0.37), ('fu', 0.08), ('fv', 0.0), ('fw', 0.03), ('fx', 0.0), ('fy', 0.02), ('fz', 0.0),
('ga', 0.24), ('gb', 0.03), ('gc', 0.02), ('gd', 0.02), ('ge', 0.28), ('gf', 0.03), ('gg', 0.04), ('gh', 0.35), ('gi', 0.18), ('gj', 0.01), ('gk', 0.0), ('gl', 0.07), ('gm', 0.03), ('gn', 0.04), ('go', 0.23), ('gp', 0.01), ('gq', 0.0), ('gr', 0.12), ('gs', 0.09), ('gt', 0.16), ('gu', 0.07), ('gv', 0.0), ('gw', 0.05), ('gx', 0.0), ('gy', 0.01), ('gz', 0.0),
('ha', 1.14), ('hb', 0.02), ('hc', 0.02), ('hd', 0.01), ('he', 3.02), ('hf', 0.02), ('hg', 0.01), ('hh', 0.06), ('hi', 0.97), ('hj', 0.0), ('hk', 0.0), ('hl', 0.02), ('hm', 0.03), ('hn', 0.01), ('ho', 0.49), ('hp', 0.01), ('hq', 0.0), ('hr', 0.08), ('hs', 0.05), ('ht', 0.32), ('hu', 0.08), ('hv', 0.0), ('hw', 0.04), ('hx', 0.0), ('hy', 0.04), ('hz', 0.0),
('ia', 0.1), ('ib', 0.05), ('ic', 0.32), ('id', 0.33), ('ie', 0.23), ('if', 0.17), ('ig', 0.25), ('ih', 0.06), ('ii', 0.01), ('ij', 0.01), ('ik', 0.08), ('il', 0.37), ('im', 0.37), ('in', 1.79), ('io', 0.24), ('ip', 0.06), ('iq', 0.0), ('ir', 0.27), ('is', 0.86), ('it', 0.93), ('iu', 0.01), ('iv', 0.14), ('iw', 0.07), ('ix', 0.02), ('iy', 0.0), ('iz', 0.02),
('ja', 0.02), ('jb', 0.0), ('jc', 0.0), ('jd', 0.0), ('je', 0.02), ('jf', 0.0), ('jg', 0.0), ('jh', 0.0), ('ji', 0.03), ('jj', 0.0), ('jk', 0.0), ('jl', 0.0), ('jm', 0.0), ('jn', 0.0), ('jo', 0.03), ('jp', 0.0), ('jq', 0.0), ('jr', 0.0), ('js', 0.0), ('jt', 0.0), ('ju', 0.08), ('jv', 0.0), ('jw', 0.0), ('jx', 0.0), ('jy', 0.0), ('jz', 0.0),
('ka', 0.06), ('kb', 0.01), ('kc', 0.01), ('kd', 0.01), ('ke', 0.29), ('kf', 0.01), ('kg', 0.0), ('kh', 0.02), ('ki', 0.14), ('kj', 0.0), ('kk', 0.0), ('kl', 0.02), ('km', 0.01), ('kn', 0.09), ('ko', 0.04), ('kp', 0.0), ('kq', 0.0), ('kr', 0.0), ('ks', 0.05), ('kt', 0.04), ('ku', 0.01), ('kv', 0.0), ('kw', 0.02), ('kx', 0.0), ('ky', 0.02), ('kz', 0.0),
('la', 0.4), ('lb', 0.03), ('lc', 0.02), ('ld', 0.36), ('le', 0.64), ('lf', 0.1), ('lg', 0.01), ('lh', 0.04), ('li', 0.47), ('lj', 0.0), ('lk', 0.03), ('ll', 0.56), ('lm', 0.04), ('ln', 0.02), ('lo', 0.41), ('lp', 0.03), ('lq', 0.0), ('lr', 0.02), ('ls', 0.11), ('lt', 0.15), ('lu', 0.08), ('lv', 0.03), ('lw', 0.05), ('lx', 0.0), ('ly', 0.31), ('lz', 0.0),
('ma', 0.44), ('mb', 0.07), ('mc', 0.01), ('md', 0.01), ('me', 0.68), ('mf', 0.02), ('mg', 0.01), ('mh', 0.03), ('mi', 0.25), ('mj', 0.0), ('mk', 0.0), ('ml', 0.01), ('mm', 0.05), ('mn', 0.02), ('mo', 0.29), ('mp', 0.11), ('mq', 0.0), ('mr', 0.03), ('ms', 0.1), ('mt', 0.09), ('mu', 0.08), ('mv', 0.0), ('mw', 0.04), ('mx', 0.0), ('my', 0.18), ('mz', 0.0),
('na', 0.4), ('nb', 0.07), ('nc', 0.25), ('nd', 1.46), ('ne', 0.66), ('nf', 0.08), ('ng', 0.92), ('nh', 0.16), ('ni', 0.33), ('nj', 0.02), ('nk', 0.08), ('nl', 0.09), ('nm', 0.07), ('nn', 0.08), ('no', 0.6), ('np', 0.04), ('nq', 0.01), ('nr', 0.03), ('ns', 0.33), ('nt', 1.06), ('nu', 0.06), ('nv', 0.02), ('nw', 0.12), ('nx', 0.0), ('ny', 0.11), ('nz', 0.0),
('oa', 0.16), ('ob', 0.12), ('oc', 0.13), ('od', 0.18), ('oe', 0.05), ('of', 0.8), ('og', 0.07), ('oh', 0.11), ('oi', 0.12), ('oj', 0.01), ('ok', 0.13), ('ol', 0.26), ('om', 0.48), ('on', 1.06), ('oo', 0.36), ('op', 0.15), ('oq', 0.0), ('or', 0.84), ('os', 0.28), ('ot', 0.57), ('ou', 1.15), ('ov', 0.12), ('ow', 0.46), ('ox', 0.0), ('oy', 0.05), ('oz', 0.01),
('pa', 0.23), ('pb', 0.01), ('pc', 0.0), ('pd', 0.0), ('pe', 0.3), ('pf', 0.01), ('pg', 0.0), ('ph', 0.03), ('pi', 0.12), ('pj', 0.0), ('pk', 0.0), ('pl', 0.15), ('pm', 0.01), ('pn', 0.0), ('po', 0.21), ('pp', 0.1), ('pq', 0.0), ('pr', 0.18), ('ps', 0.05), ('pt', 0.11), ('pu', 0.06), ('pv', 0.0), ('pw', 0.01), ('px', 0.0), ('py', 0.01), ('pz', 0.0),
('qa', 0.0), ('qb', 0.0), ('qc', 0.0), ('qd', 0.0), ('qe', 0.0), ('qf', 0.0), ('qg', 0.0), ('qh', 0.0), ('qi', 0.0), ('qj', 0.0), ('qk', 0.0), ('ql', 0.0), ('qm', 0.0), ('qn', 0.0), ('qo', 0.0), ('qp', 0.0), ('qq', 0.0), ('qr', 0.0), ('qs', 0.0), ('qt', 0.0), ('qu', 0.09), ('qv', 0.0), ('qw', 0.0), ('qx', 0.0), ('qy', 0.0), ('qz', 0.0),
('ra', 0.5), ('rb', 0.07), ('rc', 0.1), ('rd', 0.2), ('re', 1.33), ('rf', 0.08), ('rg', 0.1), ('rh', 0.12), ('ri', 0.5), ('rj', 0.01), ('rk', 0.08), ('rl', 0.1), ('rm', 0.14), ('rn', 0.16), ('ro', 0.55), ('rp', 0.06), ('rq', 0.0), ('rr', 0.14), ('rs', 0.37), ('rt', 0.42), ('ru', 0.12), ('rv', 0.04), ('rw', 0.11), ('rx', 0.0), ('ry', 0.21), ('rz', 0.0),
('sa', 0.67), ('sb', 0.11), ('sc', 0.17), ('sd', 0.07), ('se', 0.74), ('sf', 0.11), ('sg', 0.04), ('sh', 0.5), ('si', 0.49), ('sj', 0.02), ('sk', 0.06), ('sl', 0.13), ('sm', 0.12), ('sn', 0.1), ('so', 0.57), ('sp', 0.2), ('sq', 0.02), ('sr', 0.04), ('ss', 0.43), ('st', 1.09), ('su', 0.2), ('sv', 0.02), ('sw', 0.24), ('sx', 0.0), ('sy', 0.04), ('sz', 0.0),
('ta', 0.59), ('tb', 0.1), ('tc', 0.11), ('td', 0.07), ('te', 0.75), ('tf', 0.09), ('tg', 0.03), ('th', 3.3), ('ti', 0.76), ('tj', 0.01), ('tk', 0.02), ('tl', 0.17), ('tm', 0.11), ('tn', 0.07), ('to', 1.15), ('tp', 0.04), ('tq', 0.0), ('tr', 0.28), ('ts', 0.34), ('tt', 0.56), ('tu', 0.17), ('tv', 0.01), ('tw', 0.31), ('tx', 0.0), ('ty', 0.16), ('tz', 0.0),
('ua', 0.07), ('ub', 0.05), ('uc', 0.12), ('ud', 0.07), ('ue', 0.07), ('uf', 0.02), ('ug', 0.14), ('uh', 0.02), ('ui', 0.08), ('uj', 0.0), ('uk', 0.01), ('ul', 0.34), ('um', 0.08), ('un', 0.36), ('uo', 0.01), ('up', 0.16), ('uq', 0.0), ('ur', 0.44), ('us', 0.35), ('ut', 0.48), ('uu', 0.0), ('uv', 0.0), ('uw', 0.02), ('ux', 0.0), ('uy', 0.01), ('uz', 0.0),
('va', 0.05), ('vb', 0.0), ('vc', 0.0), ('vd', 0.0), ('ve', 0.65), ('vf', 0.0), ('vg', 0.0), ('vh', 0.0), ('vi', 0.11), ('vj', 0.0), ('vk', 0.0), ('vl', 0.0), ('vm', 0.0), ('vn', 0.0), ('vo', 0.04), ('vp', 0.0), ('vq', 0.0), ('vr', 0.0), ('vs', 0.0), ('vt', 0.0), ('vu', 0.0), ('vv', 0.0), ('vw', 0.0), ('vx', 0.0), ('vy', 0.01), ('vz', 0.0),
('wa', 0.66), ('wb', 0.01), ('wc', 0.01), ('wd', 0.02), ('we', 0.39), ('wf', 0.01), ('wg', 0.0), ('wh', 0.44), ('wi', 0.39), ('wj', 0.0), ('wk', 0.0), ('wl', 0.02), ('wm', 0.01), ('wn', 0.12), ('wo', 0.29), ('wp', 0.0), ('wq', 0.0), ('wr', 0.03), ('ws', 0.04), ('wt', 0.04), ('wu', 0.01), ('wv', 0.0), ('ww', 0.02), ('wx', 0.0), ('wy', 0.01), ('wz', 0.0),
('xa', 0.01), ('xb', 0.0), ('xc', 0.02), ('xd', 0.0), ('xe', 0.01), ('xf', 0.0), ('xg', 0.0), ('xh', 0.0), ('xi', 0.02), ('xj', 0.0), ('xk', 0.0), ('xl', 0.0), ('xm', 0.0), ('xn', 0.0), ('xo', 0.0), ('xp', 0.03), ('xq', 0.0), ('xr', 0.0), ('xs', 0.0), ('xt', 0.03), ('xu', 0.0), ('xv', 0.0), ('xw', 0.0), ('xx', 0.0), ('xy', 0.0), ('xz', 0.0),
('ya', 0.18), ('yb', 0.07), ('yc', 0.06), ('yd', 0.06), ('ye', 0.14), ('yf', 0.07), ('yg', 0.03), ('yh', 0.1), ('yi', 0.11), ('yj', 0.01), ('yk', 0.01), ('yl', 0.04), ('ym', 0.06), ('yn', 0.03), ('yo', 0.36), ('yp', 0.04), ('yq', 0.0), ('yr', 0.03), ('ys', 0.19), ('yt', 0.2), ('yu', 0.01), ('yv', 0.01), ('yw', 0.12), ('yx', 0.0), ('yy', 0.02), ('yz', 0.0),
('za', 0.01), ('zb', 0.0), ('zc', 0.0), ('zd', 0.0), ('ze', 0.03), ('zf', 0.0), ('zg', 0.0), ('zh', 0.0), ('zi', 0.01), ('zj', 0.0), ('zk', 0.0), ('zl', 0.0), ('zm', 0.0), ('zn', 0.0), ('zo', 0.0), ('zp', 0.0), ('zq', 0.0), ('zr', 0.0), ('zs', 0.0), ('zt', 0.0), ('zu', 0.0), ('zv', 0.0), ('zw', 0.0), ('zx', 0.0), ('zy', 0.0), ('zz', 0.0)])
LETTERS_SEQ3_FREQ = NodeList.from_tuple_list([('the', 3.508232), ('and', 1.593878), ('ing', 1.147042), ('her', 0.822444), ('hat', 0.650715), ('his', 0.596748), ('tha', 0.593593), ('ere', 0.560594), ('for', 0.555372), ('ent', 0.530771), ('ion', 0.506454), ('ter', 0.461099), ('was', 0.460487), ('you', 0.437213), ('ith', 0.431250), ('ver', 0.430732), ('all', 0.422758), ('wit', 0.397290), ('thi', 0.394796), ('tio', 0.378058)])
LETTERS_SEQ4_FREQ = NodeList.from_tuple_list([('that', 0.761242), ('ther', 0.604501), ('with', 0.573866), ('tion', 0.551919), ('here', 0.374549), ('ould', 0.369920), ('ight', 0.309440), ('have', 0.290544), ('hich', 0.284292), ('whic', 0.283826), ('this', 0.276333), ('thin', 0.270413), ('they', 0.262421), ('atio', 0.262386), ('ever', 0.260695), ('from', 0.258580), ('ough', 0.253447), ('were', 0.231089), ('hing', 0.229944), ('ment', 0.223347)])
LETTERS_SEQ_FREQ_ARR = [LETTERS_SEQ1_FREQ, LETTERS_SEQ2_FREQ, LETTERS_SEQ3_FREQ, LETTERS_SEQ4_FREQ]


if __name__ == '__main__':
    print(ALPHABET)
    print(PUNCTUATION)
    print(WORD_SEPARATIONS)
    print(LETTERS_SEQ_FREQ_ARR)
